VirtualBox Main API

Public Attributes | List of all members
IHostUSBDevice Interface Reference

The IHostUSBDevice interface represents a physical USB device attached to the host computer. More...

Inheritance diagram for IHostUSBDevice:

## Public Attributes
readonly attribute USBDeviceState | state
| Current state of the device. More...
Public Attributes inherited from IUSBDevice
readonly attribute wstringUUID | id
| Unique USB device ID. More...
readonly attribute unsigned short | vendorId
| Vendor ID. More...
readonly attribute unsigned short | productId
| Product ID. More...
readonly attribute unsigned short | revision
| Product revision number. More...
readonly attribute wstring | manufacturer
| Manufacturer string. More...
readonly attribute wstring | product
| Product string. More...
readonly attribute wstring | serialNumber
| Serial number string. More...
readonly attribute wstring | address
| Host specific address of the device. More...
readonly attribute unsigned short | port
| Host USB port number the device is physically connected to. More...
readonly attribute unsigned short | version
| The major USB version of the device - 1, 2 or 3. More...
readonly attribute unsigned short | portVersion
| The major USB version of the host USB port the device is physically connected to - 1, 2 or 3. More...
readonly attribute USBConnectionSpeed | speed
| The speed at which the device is currently communicating. More...
readonly attribute boolean | remote
| Whether the device is physically connected to a remote VRDE client or to a local host machine. More...
readonly attribute wstring [] | deviceInfo
| Array of device attributes as single strings. More...
readonly attribute wstring | backend
| The backend which will be used to communicate with this device. More...

## Detailed Description

The IHostUSBDevice interface represents a physical USB device attached to the host computer.

Besides properties inherited from IUSBDevice, this interface adds the state property that holds the current state of the USB device.

See also
  IHost::USBDevices, IHost::USBDeviceFilters

Interface ID:
  `{C19073DD-CC7B-431B-98B2-951FDA8EAB89}`

## Member Data Documentation

## ◆ state

readonly attribute USBDeviceState IHostUSBDevice::state

Current state of the device.